Svn 3077 virgin install errors



  • Virgin install to a fresh Ubuntu 14.04.2 .

    Checked out revision 3077.
    Ubuntu
    < snip >
    Here are the settings FOG will use:
    Base Linux: Debian
    Detected Linux Distribution: Ubuntu
    Installation Type: Normal Server
    Server IP Address: 172.19.244.13
    DHCP router Address:
    DHCP DNS Address:
    Interface: eth0
    Using FOG DHCP: 0
    Internationalization: 0
    Image Storage Location:
    Donate: 0
    DHCP will NOT be setup but you must setup your
    current DHCP server to use FOG for PXE services.
    On a Linux DHCP server you must set:
    next-server
    On a Windows DHCP server you must set:
    option 066 & 067
    Option 066 is the IP of the FOG Server: (e.g. 172.19.244.13)
    Option 067 is the undionly.kpxe file: (e.g. undionly.kpxe)
    Are you sure you wish to continue (Y/N) y
    Installation Started…
    Installing required packages, if this fails
    make sure you have an active internet connection.

    • Preparing apt-get
    • Packages to be installed: apache2 php5 php5-json php5-gd php5-cli php5-curl mysql-server mysql-client tftpd-hpa tftp-hpa nfs-kernel-server vsftpd net-tools wget xinetd sysv-rc-conf tar gzip build-essential cpp gcc g++ m4 htmldoc lftp openssh-server php-gettext php5-mcrypt php5-mysql
      dpkg-query: no packages found matching apache2
    • Installing package: apache2
      dpkg-query: no packages found matching php5
    • Installing package: php5
    • Skipping package: php5-json (Already installed)
      dpkg-query: no packages found matching php5-gd
    • Installing package: php5-gd
    • Skipping package: php5-cli (Already installed)
      dpkg-query: no packages found matching php5-curl
    • Installing package: php5-curl
      dpkg-query: no packages found matching mysql-server
    • Installing package: mysql-server
      We are about to install MySQL Server on
      this server, if MySQL isn’t installed already
      you will be prompted for a root password.
      Press enter to acknowledge this message.
      Reading package lists…
      Building dependency tree…
      Reading state information…
      The following extra packages will be installed:
      libaio1 libdbd-mysql-perl libdbi-perl libhtml-template-perl libmysqlclient18
      libterm-readkey-perl mysql-client-5.5 mysql-client-core-5.5 mysql-common
      mysql-server-5.5 mysql-server-core-5.5
      Suggested packages:
      libclone-perl libmldbm-perl libnet-daemon-perl libplrpc-perl
      libsql-statement-perl libipc-sharedcache-perl tinyca mailx
      The following NEW packages will be installed:
      libaio1 libdbd-mysql-perl libdbi-perl libhtml-template-perl libmysqlclient18
      libterm-readkey-perl mysql-client-5.5 mysql-client-core-5.5 mysql-common
      mysql-server mysql-server-5.5 mysql-server-core-5.5
      0 upgraded, 12 newly installed, 0 to remove and 0 not upgraded.
      Need to get 8,954 kB of archives.
      After this operation, 96.6 MB of additional disk space will be used.
      Get:1 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty/main libaio1 amd64 0.3.109-4 [6,364 B]
      Get:2 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty-updates/main mysql-common all 5.5.41-0ubuntu0.14.04.1 [14.1 kB]
      Get:3 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty-updates/main libmysqlclient18 amd64 5.5.41-0ubuntu0.14.04.1 [595 kB]
      Get:4 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty/main libdbi-perl amd64 1.630-1 [879 kB]
      Get:5 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty/main libdbd-mysql-perl amd64 4.025-1 [99.3 kB]
      Get:6 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty/main libterm-readkey-perl amd64 2.31-1 [27.4 kB]
      Get:7 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty-updates/main mysql-client-core-5.5 amd64 5.5.41-0ubuntu0.14.04.1 [710 kB]
      Get:8 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty-updates/main mysql-client-5.5 amd64 5.5.41-0ubuntu0.14.04.1 [1,592 kB]
      Get:9 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty-updates/main mysql-server-core-5.5 amd64 5.5.41-0ubuntu0.14.04.1 [3,207 kB]
      Get:10 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty-updates/main mysql-server-5.5 amd64 5.5.41-0ubuntu0.14.04.1 [1,744 kB]
      Get:11 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty/main libhtml-template-perl all 2.95-1 [65.5 kB]
      Get:12 [url]http://ca.archive.ubuntu.com/ubuntu/[/url] trusty-updates/main mysql-server all 5.5.41-0ubuntu0.14.04.1 [12.4 kB]
      Preconfiguring packages …
      Fetched 8,954 kB in 8s (1,050 kB/s)
      Selecting previously unselected package libaio1:amd64.
      (Reading database … 87167 files and directories currently installed.)
      Preparing to unpack …/libaio1_0.3.109-4_amd64.deb …
      Unpacking libaio1:amd64 (0.3.109-4) …
      Selecting previously unselected package mysql-common.
      Preparing to unpack …/mysql-common_5.5.41-0ubuntu0.14.04.1_all.deb …
      Unpacking mysql-common (5.5.41-0ubuntu0.14.04.1) …
      Selecting previously unselected package libmysqlclient18:amd64.
      Preparing to unpack …/libmysqlclient18_5.5.41-0ubuntu0.14.04.1_amd64.deb …
      Unpacking libmysqlclient18:amd64 (5.5.41-0ubuntu0.14.04.1) …
      Selecting previously unselected package libdbi-perl.
      Preparing to unpack …/libdbi-perl_1.630-1_amd64.deb …
      Unpacking libdbi-perl (1.630-1) …
      Selecting previously unselected package libdbd-mysql-perl.
      Preparing to unpack …/libdbd-mysql-perl_4.025-1_amd64.deb …
      Unpacking libdbd-mysql-perl (4.025-1) …
      Selecting previously unselected package libterm-readkey-perl.
      Preparing to unpack …/libterm-readkey-perl_2.31-1_amd64.deb …
      Unpacking libterm-readkey-perl (2.31-1) …
      Selecting previously unselected package mysql-client-core-5.5.
      Preparing to unpack …/mysql-client-core-5.5_5.5.41-0ubuntu0.14.04.1_amd64.deb …
      Unpacking mysql-client-core-5.5 (5.5.41-0ubuntu0.14.04.1) …
      Selecting previously unselected package mysql-client-5.5.
      Preparing to unpack …/mysql-client-5.5_5.5.41-0ubuntu0.14.04.1_amd64.deb …
      Unpacking mysql-client-5.5 (5.5.41-0ubuntu0.14.04.1) …
      Selecting previously unselected package mysql-server-core-5.5.
      Preparing to unpack …/mysql-server-core-5.5_5.5.41-0ubuntu0.14.04.1_amd64.deb …
      Unpacking mysql-server-core-5.5 (5.5.41-0ubuntu0.14.04.1) …
      Processing triggers for man-db (2.6.7.1-1ubuntu1) …
      Setting up mysql-common (5.5.41-0ubuntu0.14.04.1) …
      Selecting previously unselected package mysql-server-5.5.
      (Reading database … 87530 files and directories currently installed.)
      Preparing to unpack …/mysql-server-5.5_5.5.41-0ubuntu0.14.04.1_amd64.deb …
      Unpacking mysql-server-5.5 (5.5.41-0ubuntu0.14.04.1) …
      Selecting previously unselected package libhtml-template-perl.
      Preparing to unpack …/libhtml-template-perl_2.95-1_all.deb …
      Unpacking libhtml-template-perl (2.95-1) …
      Selecting previously unselected package mysql-server.
      Preparing to unpack …/mysql-server_5.5.41-0ubuntu0.14.04.1_all.deb …
      Unpacking mysql-server (5.5.41-0ubuntu0.14.04.1) …
      Processing triggers for man-db (2.6.7.1-1ubuntu1) …
      Processing triggers for ureadahead (0.100.0-16) …
      Setting up libaio1:amd64 (0.3.109-4) …
      Setting up libmysqlclient18:amd64 (5.5.41-0ubuntu0.14.04.1) …
      Setting up libdbi-perl (1.630-1) …
      Setting up libdbd-mysql-perl (4.025-1) …
      Setting up libterm-readkey-perl (2.31-1) …
      Setting up mysql-client-core-5.5 (5.5.41-0ubuntu0.14.04.1) …
      Setting up mysql-client-5.5 (5.5.41-0ubuntu0.14.04.1) …
      Setting up mysql-server-core-5.5 (5.5.41-0ubuntu0.14.04.1) …
      Setting up mysql-server-5.5 (5.5.41-0ubuntu0.14.04.1) …
      150304 11:30:24 [Warning] Using unique option prefix key_buffer instead of key_buffer_size is deprecated and will be removed in a future release. Please use the full name instead.
      mysql start/running, process 6124
      Setting up libhtml-template-perl (2.95-1) …
      Processing triggers for ureadahead (0.100.0-16) …
      Setting up mysql-server (5.5.41-0ubuntu0.14.04.1) …
      Processing triggers for libc-bin (2.19-0ubuntu6.6) …


  • Thank you!


  • Senior Developer

    These errors are perfectly fine and somewhat expected.

    I made a problem in 3063 which those “errors” is intended to fix. They won’t harm anything, but merely report that they don’t exist.



    • Installing package: mysql-client
      dpkg-query: no packages found matching tftpd-hpa

      • Installing package: tftpd-hpa
        dpkg-query: no packages found matching tftp-hpa

      • Installing package: tftp-hpa
        dpkg-query: no packages found matching nfs-kernel-server

      • Installing package: nfs-kernel-server
        dpkg-query: no packages found matching vsftpd

      • Installing package: vsftpd

      • Skipping package: net-tools (Already installed)

      • Skipping package: wget (Already installed)
        dpkg-query: no packages found matching xinetd

      • Installing package: xinetd

      • Installing package: sysv-rc-conf

      • Skipping package: tar (Already installed)

      • Skipping package: gzip (Already installed)
        dpkg-query: no packages found matching build-essential

      • Installing package: build-essential

      • Skipping package: cpp (Already installed)

      • Skipping package: gcc (Already installed)

      • Skipping package: g++ (Already installed)
        dpkg-query: no packages found matching m4

      • Installing package: m4
        dpkg-query: no packages found matching htmldoc

      • Installing package: htmldoc
        dpkg-query: no packages found matching lftp

      • Installing package: lftp

      • Skipping package: openssh-server (Already installed)
        dpkg-query: no packages found matching php-gettext

      • Installing package: php-gettext
        dpkg-query: no packages found matching php5-mcrypt

      • Installing package: php5-mcrypt
        dpkg-query: no packages found matching php5-mysql

      • Installing package: php5-mysql
        Confirming package installation.

      • Checking package: apache2…OK

      • Checking package: php5…OK

      • Checking package: php5-json…OK

      • Checking package: php5-gd…OK

      • Checking package: php5-cli…OK

      • Checking package: php5-curl…OK

      • Checking package: mysql-server…OK

      • Checking package: mysql-client…OK

      • Checking package: tftpd-hpa…OK

      • Checking package: tftp-hpa…OK

      • Checking package: nfs-kernel-server…OK

      • Checking package: vsftpd…OK

      • Checking package: net-tools…OK

      • Checking package: wget…OK

      • Checking package: xinetd…OK

      • Checking package: sysv-rc-conf…OK

      • Checking package: tar…OK

      • Checking package: gzip…OK

      • Checking package: build-essential…OK

      • Checking package: cpp…OK

      • Checking package: gcc…OK

      • Checking package: g++…OK

      • Checking package: m4…OK

      • Checking package: htmldoc…OK

      • Checking package: lftp…OK

      • Checking package: openssh-server…OK

      • Checking package: php-gettext…OK

      • Checking package: php5-mcrypt…OK

      • Checking package: php5-mysql…OK
        Configuring services.

        What is the storage location for your images directory? (/images)

      • Setting up fog user…OK

      • Setting up and starting MySql…OK

      • Backing up user reports…OK

      • Did you leave the mysql password blank during install? (Y/n) n

      • Please enter your mysql password:

      • Please re-enter your mysql password:

      • Setting up and starting Apache Web Server…OK

      • Changing permissions on apache log files…OK

      • Downloading kernels and inits…OK
        You still need to install/update your database schema.
        This can be done by opening a web browser and going to:
        [url]http://172.19.244.13/fog/management[/url]

      Press [Enter] key when database is updated/installed.

    Visiting [url]http://172.19.244.13/fog/management[/url] to click on Install results in:

    Install / Update Successful!
    Click here to login.
    The following errors occured
    Update ID: 162 - 0
    Database Error:
    Can’t DROP ‘stID’; check that column/key exists

    Database SQL:
    ALTER TABLE fog.snapinTasks DROP INDEX stID

    Update ID: 162 - 1
    Database Error:
    Can’t DROP ‘stID_2’; check that column/key exists

    Database SQL:
    ALTER TABLE fog.snapinTasks DROP INDEX stID_2

    Update ID: 162 - 2
    Database Error:
    Can’t DROP ‘stJobID’; check that column/key exists

    Database SQL:
    ALTER TABLE fog.snapinTasks DROP INDEX stJobID

    Update ID: 162 - 3
    Database Error:
    Can’t DROP ‘stJobID_2’; check that column/key exists

    Database SQL:
    ALTER TABLE fog.snapinTasks DROP INDEX stJobID_2

    Update ID: 162 - 4
    Database Error:
    Can’t DROP ‘stJobID_3’; check that column/key exists

    Database SQL:
    ALTER TABLE fog.snapinTasks DROP INDEX stJobID_3


Log in to reply
 

382
Online

38980
Users

10712
Topics

101676
Posts

Looks like your connection to FOG Project was lost, please wait while we try to reconnect.